create table ATM (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Adm (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, level int4 not null, parent int8, primary key (id));
create table Airport (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table AlternateName (id int8 not null, name varchar(200) not null, language varchar(7), source varchar(255) not null, preferredName bool not null, shortName bool not null, alternateNameId int4, gisFeature int8 not null, primary key (id));
create table AmusePark (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Aqueduc (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Bank (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Bar (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Bay (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Beach (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Bridge (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Building (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table BusStation (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Camp (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Canyon (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Casino (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Castle (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Cemetery (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Cirque (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table City (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table CitySubdivision (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Cliff (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Coast (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Continent (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Country (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, currencyCode varchar(255), area float8, equivalentFipsCode varchar(255), fipsCode varchar(255) unique, iso3166Alpha2Code varchar(255) not null unique, iso3166Alpha3Code varchar(255) not null unique, iso3166NumericCode int4 not null unique, phonePrefix varchar(255), postalCodeMask varchar(255), capitalName varchar(255), continent varchar(255), currencyName varchar(255), postalCodeRegex varchar(255), tld varchar(255), primary key (id));
create table Country_Language (Country_id int8 not null, spokenLanguages_id int8 not null);
create table CourtHouse (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table CustomsPost (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Dam (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Desert (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Factory (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Falls (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Farm (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Field (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table FishingArea (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Fjord (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Forest (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Garden (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table GisFeature (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Golf (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Gorge (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table GrassLand (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Gulf (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Hill (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Hospital (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Hotel (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table House (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Ice (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Island (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Lake (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Language (id int8 not null, iso639Alpha2LanguageCode varchar(255) unique, iso639Alpha3LanguageCode varchar(255) not null unique, iso639LanguageName varchar(255) not null, primary key (id));
create table Library (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table LightHouse (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Mall (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Marsh (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table MetroStation (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Military (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Mill (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Mine (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Mole (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Monument (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Mound (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Mountain (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Museum (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Oasis (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table ObservatoryPoint (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Ocean (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table OpenStreetMap (id int8 not null, length float8, name varchar(255), location geometry, countryCode varchar(3), openstreetmapId int8, oneWay bool, streetType varchar(255), isIn varchar(255), partialSearchName text, textSearchName text, textsearchVector tsvector, partialsearchVector tsvector, gid int8 not null unique, shape geometry not null, primary key (id));
create table OperaHouse (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Park (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Parking (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Plantation (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table PolicePost (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table PoliticalEntity (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Pond (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Port (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table PostOffice (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Prison (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Pyramid (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Quay (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Rail (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table RailRoadStation (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Ranch (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Ravin (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Reef (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Religious (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Reserve (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Restaurant (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Road (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table School (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Sea (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Spring (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Stadium (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table StatsUsage (id int8 not null, statsUsageType varchar(255) not null unique, usage int8, primary key (id));
create table Strait (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Stream (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Street (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, length float8, openstreetmapId int8, oneWay bool not null, streetType int4, isIn varchar(255), primary key (id));
create table Theater (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Tower (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Tree (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Tunnel (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table UnderSea (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Vineyard (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table Volcano (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table WaterBody (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table ZipCode (id int8 not null, code varchar(80) not null, gisFeature int8, primary key (id));
create table Zoo (id int8 not null, name varchar(200) not null, location geometry not null, source varchar(255) not null, timezone varchar(40), countryCode varchar(3), adm1Code varchar(20), adm2Code varchar(80), adm3Code varchar(20), adm4Code varchar(20), featureId int8 not null unique, modificationDate timestamp, adm1Name varchar(200), adm2Name varchar(200), adm3Name varchar(200), adm4Name varchar(200), asciiName varchar(200), elevation int4, gtopo30 int4, population int4, featureClass varchar(4), featureCode varchar(10), adm int8, primary key (id));
create table app_user (id int8 not null, address varchar(150), country varchar(100), city varchar(50) not null, province varchar(100), postal_code varchar(15) not null, version int4, account_enabled bool, username varchar(50) not null unique, password varchar(255) not null, email varchar(255) not null unique, password_hint varchar(255), first_name varchar(50) not null, last_name varchar(50) not null, phone_number varchar(255), website varchar(255), account_expired bool not null, account_locked bool not null, credentials_expired bool not null, primary key (id));
create table role (id int8 not null, name varchar(20), description varchar(64), primary key (id));
create table user_role (user_id int8 not null, role_id int8 not null, primary key (user_id, role_id));
create index ATMgisFeatureIdIndex on ATM (featureId);
create index ATMadm1codeIndex on ATM (adm1Code);
create index ATMgisFeatureCountryindex on ATM (countryCode);
alter table ATM add constraint FK637222053AEF83Dfe7a foreign key (adm) references Adm;
create index AdmgisFeatureIdIndex on Adm (featureId);
create index Admadm1codeIndex on Adm (adm1Code);
create index AdmgisFeatureCountryindex on Adm (countryCode);
create index admLevel on Adm (level);
alter table Adm add constraint FK637222053AEF83D1008a foreign key (adm) references Adm;
alter table Adm add constraint FK1008AC858883D foreign key (parent) references Adm;
create index AirportgisFeatureIdIndex on Airport (featureId);
create index Airportadm1codeIndex on Airport (adm1Code);
create index AirportgisFeatureCountryindex on Airport (countryCode);
alter table Airport add constraint FK637222053AEF83D281cf4ab foreign key (adm) references Adm;
create index AlternatenameGisFeatureindex on AlternateName (gisFeature);
create index AmuseParkgisFeatureIdIndex on AmusePark (featureId);
create index AmuseParkadm1codeIndex on AmusePark (adm1Code);
create index AmuseParkgisFeatureCountryindex on AmusePark (countryCode);
alter table AmusePark add constraint FK637222053AEF83Dd76bcc45 foreign key (adm) references Adm;
create index AqueducgisFeatureIdIndex on Aqueduc (featureId);
create index Aqueducadm1codeIndex on Aqueduc (adm1Code);
create index AqueducgisFeatureCountryindex on Aqueduc (countryCode);
alter table Aqueduc add constraint FK637222053AEF83D35e8d712 foreign key (adm) references Adm;
create index BankgisFeatureIdIndex on Bank (featureId);
create index Bankadm1codeIndex on Bank (adm1Code);
create index BankgisFeatureCountryindex on Bank (countryCode);
alter table Bank add constraint FK637222053AEF83D1f7a5c foreign key (adm) references Adm;
create index BargisFeatureIdIndex on Bar (featureId);
create index Baradm1codeIndex on Bar (adm1Code);
create index BargisFeatureCountryindex on Bar (countryCode);
alter table Bar add constraint FK637222053AEF83D103f3 foreign key (adm) references Adm;
create index BaygisFeatureIdIndex on Bay (featureId);
create index Bayadm1codeIndex on Bay (adm1Code);
create index BaygisFeatureCountryindex on Bay (countryCode);
alter table Bay add constraint FK637222053AEF83D103fa foreign key (adm) references Adm;
create index BeachgisFeatureIdIndex on Beach (featureId);
create index Beachadm1codeIndex on Beach (adm1Code);
create index BeachgisFeatureCountryindex on Beach (countryCode);
alter table Beach add constraint FK637222053AEF83D3d17143 foreign key (adm) references Adm;
create index BridgegisFeatureIdIndex on Bridge (featureId);
create index Bridgeadm1codeIndex on Bridge (adm1Code);
create index BridgegisFeatureCountryindex on Bridge (countryCode);
alter table Bridge add constraint FK637222053AEF83D77178fa9 foreign key (adm) references Adm;
create index BuildinggisFeatureIdIndex on Building (featureId);
create index Buildingadm1codeIndex on Building (adm1Code);
create index BuildinggisFeatureCountryindex on Building (countryCode);
alter table Building add constraint FK637222053AEF83Dae9476d4 foreign key (adm) references Adm;
create index BusStationgisFeatureIdIndex on BusStation (featureId);
create index BusStationadm1codeIndex on BusStation (adm1Code);
create index BusStationgisFeatureCountryindex on BusStation (countryCode);
alter table BusStation add constraint FK637222053AEF83D5a81a6b4 foreign key (adm) references Adm;
create index CampgisFeatureIdIndex on Camp (featureId);
create index Campadm1codeIndex on Camp (adm1Code);
create index CampgisFeatureCountryindex on Camp (countryCode);
alter table Camp add constraint FK637222053AEF83D1feea1 foreign key (adm) references Adm;
create index CanyongisFeatureIdIndex on Canyon (featureId);
create index Canyonadm1codeIndex on Canyon (adm1Code);
create index CanyongisFeatureCountryindex on Canyon (countryCode);
alter table Canyon add constraint FK637222053AEF83D77df6e68 foreign key (adm) references Adm;
create index CasinogisFeatureIdIndex on Casino (featureId);
create index Casinoadm1codeIndex on Casino (adm1Code);
create index CasinogisFeatureCountryindex on Casino (countryCode);
alter table Casino add constraint FK637222053AEF83D77e17815 foreign key (adm) references Adm;
create index CastlegisFeatureIdIndex on Castle (featureId);
create index Castleadm1codeIndex on Castle (adm1Code);
create index CastlegisFeatureCountryindex on Castle (countryCode);
alter table Castle add constraint FK637222053AEF83D77e1a118 foreign key (adm) references Adm;
create index CemeterygisFeatureIdIndex on Cemetery (featureId);
create index Cemeteryadm1codeIndex on Cemetery (adm1Code);
create index CemeterygisFeatureCountryindex on Cemetery (countryCode);
alter table Cemetery add constraint FK637222053AEF83Dce89e512 foreign key (adm) references Adm;
create index CirquegisFeatureIdIndex on Cirque (featureId);
create index Cirqueadm1codeIndex on Cirque (adm1Code);
create index CirquegisFeatureCountryindex on Cirque (countryCode);
alter table Cirque add constraint FK637222053AEF83D7851de95 foreign key (adm) references Adm;
create index CitygisFeatureIdIndex on City (featureId);
create index Cityadm1codeIndex on City (adm1Code);
create index CitygisFeatureCountryindex on City (countryCode);
alter table City add constraint FK637222053AEF83D200d8b foreign key (adm) references Adm;
create index CitySubdivisiongisFeatureIdIndex on CitySubdivision (featureId);
create index CitySubdivisionadm1codeIndex on CitySubdivision (adm1Code);
create index CitySubdivisiongisFeatureCountryindex on CitySubdivision (countryCode);
alter table CitySubdivision add constraint FK637222053AEF83Da260f462 foreign key (adm) references Adm;
create index CliffgisFeatureIdIndex on Cliff (featureId);
create index Cliffadm1codeIndex on Cliff (adm1Code);
create index CliffgisFeatureCountryindex on Cliff (countryCode);
alter table Cliff add constraint FK637222053AEF83D3e2d5c0 foreign key (adm) references Adm;
create index CoastgisFeatureIdIndex on Coast (featureId);
create index Coastadm1codeIndex on Coast (adm1Code);
create index CoastgisFeatureCountryindex on Coast (countryCode);
alter table Coast add constraint FK637222053AEF83D3e41676 foreign key (adm) references Adm;
create index ContinentgisFeatureIdIndex on Continent (featureId);
create index Continentadm1codeIndex on Continent (adm1Code);
create index ContinentgisFeatureCountryindex on Continent (countryCode);
alter table Continent add constraint FK637222053AEF83D5f664d94 foreign key (adm) references Adm;
create index CountrygisFeatureIdIndex on Country (featureId);
create index Countryadm1codeIndex on Country (adm1Code);
create index CountrygisFeatureCountryindex on Country (countryCode);
create index countryFipsCode on Country (fipsCode);
create index countryIso3166Alpha2CodeIndex on Country (iso3166Alpha2Code);
create index countryIso3166Alpha3CodeIndex on Country (iso3166Alpha3Code);
create index countryIso3166NumericCodeIndex on Country (iso3166NumericCode);
alter table Country add constraint FK637222053AEF83D9c4fef76 foreign key (adm) references Adm;
alter table Country_Language add constraint FKA0193E21E34DFE30 foreign key (spokenLanguages_id) references Language;
alter table Country_Language add constraint FKA0193E21AB7EAC63 foreign key (Country_id) references Country;
create index CourtHousegisFeatureIdIndex on CourtHouse (featureId);
create index CourtHouseadm1codeIndex on CourtHouse (adm1Code);
create index CourtHousegisFeatureCountryindex on CourtHouse (countryCode);
alter table CourtHouse add constraint FK637222053AEF83Db71a075 foreign key (adm) references Adm;
create index CustomsPostgisFeatureIdIndex on CustomsPost (featureId);
create index CustomsPostadm1codeIndex on CustomsPost (adm1Code);
create index CustomsPostgisFeatureCountryindex on CustomsPost (countryCode);
alter table CustomsPost add constraint FK637222053AEF83Dfa8036c2 foreign key (adm) references Adm;
create index DamgisFeatureIdIndex on Dam (featureId);
create index Damadm1codeIndex on Dam (adm1Code);
create index DamgisFeatureCountryindex on Dam (countryCode);
alter table Dam add constraint FK637222053AEF83D10b70 foreign key (adm) references Adm;
create index DesertgisFeatureIdIndex on Desert (featureId);
create index Desertadm1codeIndex on Desert (adm1Code);
create index DesertgisFeatureCountryindex on Desert (countryCode);
alter table Desert add constraint FK637222053AEF83D79cea035 foreign key (adm) references Adm;
create index FactorygisFeatureIdIndex on Factory (featureId);
create index Factoryadm1codeIndex on Factory (adm1Code);
create index FactorygisFeatureCountryindex on Factory (countryCode);
alter table Factory add constraint FK637222053AEF83D2223c8ea foreign key (adm) references Adm;
create index FallsgisFeatureIdIndex on Falls (featureId);
create index Fallsadm1codeIndex on Falls (adm1Code);
create index FallsgisFeatureCountryindex on Falls (countryCode);
alter table Falls add constraint FK637222053AEF83D4082838 foreign key (adm) references Adm;
create index FarmgisFeatureIdIndex on Farm (featureId);
create index Farmadm1codeIndex on Farm (adm1Code);
create index FarmgisFeatureCountryindex on Farm (countryCode);
alter table Farm add constraint FK637222053AEF83D214c56 foreign key (adm) references Adm;
create index FieldgisFeatureIdIndex on Field (featureId);
create index Fieldadm1codeIndex on Field (adm1Code);
create index FieldgisFeatureCountryindex on Field (countryCode);
alter table Field add constraint FK637222053AEF83D40bb0da foreign key (adm) references Adm;
create index FishingAreagisFeatureIdIndex on FishingArea (featureId);
create index FishingAreaadm1codeIndex on FishingArea (adm1Code);
create index FishingAreagisFeatureCountryindex on FishingArea (countryCode);
alter table FishingArea add constraint FK637222053AEF83D2ace7a17 foreign key (adm) references Adm;
create index FjordgisFeatureIdIndex on Fjord (featureId);
create index Fjordadm1codeIndex on Fjord (adm1Code);
create index FjordgisFeatureCountryindex on Fjord (countryCode);
alter table Fjord add constraint FK637222053AEF83D40c4b7d foreign key (adm) references Adm;
create index ForestgisFeatureIdIndex on Forest (featureId);
create index Forestadm1codeIndex on Forest (adm1Code);
create index ForestgisFeatureCountryindex on Forest (countryCode);
alter table Forest add constraint FK637222053AEF83D7dc4c83d foreign key (adm) references Adm;
create index GardengisFeatureIdIndex on Garden (featureId);
create index Gardenadm1codeIndex on Garden (adm1Code);
create index GardengisFeatureCountryindex on Garden (countryCode);
alter table Garden add constraint FK637222053AEF83D7eb45255 foreign key (adm) references Adm;
create index gisFeatureIdIndex on GisFeature (featureId);
create index adm1codeIndex on GisFeature (adm1Code);
create index gisFeatureCountryindex on GisFeature (countryCode);
alter table GisFeature add constraint FK637222053AEF83D foreign key (adm) references Adm;
create index GolfgisFeatureIdIndex on Golf (featureId);
create index Golfadm1codeIndex on Golf (adm1Code);
create index GolfgisFeatureCountryindex on Golf (countryCode);
alter table Golf add constraint FK637222053AEF83D21f482 foreign key (adm) references Adm;
create index GorgegisFeatureIdIndex on Gorge (featureId);
create index Gorgeadm1codeIndex on Gorge (adm1Code);
create index GorgegisFeatureCountryindex on Gorge (countryCode);
alter table Gorge add constraint FK637222053AEF83D41cb2c8 foreign key (adm) references Adm;
create index GrassLandgisFeatureIdIndex on GrassLand (featureId);
create index GrassLandadm1codeIndex on GrassLand (adm1Code);
create index GrassLandgisFeatureCountryindex on GrassLand (countryCode);
alter table GrassLand add constraint FK637222053AEF83D37331ca1 foreign key (adm) references Adm;
create index GulfgisFeatureIdIndex on Gulf (featureId);
create index Gulfadm1codeIndex on Gulf (adm1Code);
create index GulfgisFeatureCountryindex on Gulf (countryCode);
alter table Gulf add constraint FK637222053AEF83D220b08 foreign key (adm) references Adm;
create index HillgisFeatureIdIndex on Hill (featureId);
create index Hilladm1codeIndex on Hill (adm1Code);
create index HillgisFeatureCountryindex on Hill (countryCode);
alter table Hill add constraint FK637222053AEF83D225261 foreign key (adm) references Adm;
create index HospitalgisFeatureIdIndex on Hospital (featureId);
create index Hospitaladm1codeIndex on Hospital (adm1Code);
create index HospitalgisFeatureCountryindex on Hospital (countryCode);
alter table Hospital add constraint FK637222053AEF83Df1c1625a foreign key (adm) references Adm;
create index HotelgisFeatureIdIndex on Hotel (featureId);
create index Hoteladm1codeIndex on Hotel (adm1Code);
create index HotelgisFeatureCountryindex on Hotel (countryCode);
alter table Hotel add constraint FK637222053AEF83D42ad194 foreign key (adm) references Adm;
create index HousegisFeatureIdIndex on House (featureId);
create index Houseadm1codeIndex on House (adm1Code);
create index HousegisFeatureCountryindex on House (countryCode);
alter table House add constraint FK637222053AEF83D42ad700 foreign key (adm) references Adm;
create index IcegisFeatureIdIndex on Ice (featureId);
create index Iceadm1codeIndex on Ice (adm1Code);
create index IcegisFeatureCountryindex on Ice (countryCode);
alter table Ice add constraint FK637222053AEF83D11e6b foreign key (adm) references Adm;
create index IslandgisFeatureIdIndex on Island (featureId);
create index Islandadm1codeIndex on Island (adm1Code);
create index IslandgisFeatureCountryindex on Island (countryCode);
alter table Island add constraint FK637222053AEF83D8318e635 foreign key (adm) references Adm;
create index LakegisFeatureIdIndex on Lake (featureId);
create index Lakeadm1codeIndex on Lake (adm1Code);
create index LakegisFeatureCountryindex on Lake (countryCode);
alter table Lake add constraint FK637222053AEF83D2405af foreign key (adm) references Adm;
create index iso639Alpha2LanguageCode on Language (iso639Alpha2LanguageCode);
create index iso639Alpha3LanguageCode on Language (iso639Alpha3LanguageCode);
create index LibrarygisFeatureIdIndex on Library (featureId);
create index Libraryadm1codeIndex on Library (adm1Code);
create index LibrarygisFeatureCountryindex on Library (countryCode);
alter table Library add constraint FK637222053AEF83D6d20bc9b foreign key (adm) references Adm;
create index LightHousegisFeatureIdIndex on LightHouse (featureId);
create index LightHouseadm1codeIndex on LightHouse (adm1Code);
create index LightHousegisFeatureCountryindex on LightHouse (countryCode);
alter table LightHouse add constraint FK637222053AEF83D691d3bca foreign key (adm) references Adm;
create index MallgisFeatureIdIndex on Mall (featureId);
create index Malladm1codeIndex on Mall (adm1Code);
create index MallgisFeatureCountryindex on Mall (countryCode);
alter table Mall add constraint FK637222053AEF83D247a34 foreign key (adm) references Adm;
create index MarshgisFeatureIdIndex on Marsh (featureId);
create index Marshadm1codeIndex on Marsh (adm1Code);
create index MarshgisFeatureCountryindex on Marsh (countryCode);
alter table Marsh add constraint FK637222053AEF83D46ae413 foreign key (adm) references Adm;
create index MetroStationgisFeatureIdIndex on MetroStation (featureId);
create index MetroStationadm1codeIndex on MetroStation (adm1Code);
create index MetroStationgisFeatureCountryindex on MetroStation (countryCode);
alter table MetroStation add constraint FK637222053AEF83Dc33101fb foreign key (adm) references Adm;
create index MilitarygisFeatureIdIndex on Military (featureId);
create index Militaryadm1codeIndex on Military (adm1Code);
create index MilitarygisFeatureCountryindex on Military (countryCode);
alter table Military add constraint FK637222053AEF83Daf72092d foreign key (adm) references Adm;
create index MillgisFeatureIdIndex on Mill (featureId);
create index Milladm1codeIndex on Mill (adm1Code);
create index MillgisFeatureCountryindex on Mill (countryCode);
alter table Mill add constraint FK637222053AEF83D24983c foreign key (adm) references Adm;
create index MinegisFeatureIdIndex on Mine (featureId);
create index Mineadm1codeIndex on Mine (adm1Code);
create index MinegisFeatureCountryindex on Mine (countryCode);
alter table Mine add constraint FK637222053AEF83D249873 foreign key (adm) references Adm;
create index MolegisFeatureIdIndex on Mole (featureId);
create index Moleadm1codeIndex on Mole (adm1Code);
create index MolegisFeatureCountryindex on Mole (countryCode);
alter table Mole add constraint FK637222053AEF83D24aebb foreign key (adm) references Adm;
create index MonumentgisFeatureIdIndex on Monument (featureId);
create index Monumentadm1codeIndex on Monument (adm1Code);
create index MonumentgisFeatureCountryindex on Monument (countryCode);
alter table Monument add constraint FK637222053AEF83Df0e717e7 foreign key (adm) references Adm;
create index MoundgisFeatureIdIndex on Mound (featureId);
create index Moundadm1codeIndex on Mound (adm1Code);
create index MoundgisFeatureCountryindex on Mound (countryCode);
alter table Mound add constraint FK637222053AEF83D4714be9 foreign key (adm) references Adm;
create index MountaingisFeatureIdIndex on Mountain (featureId);
create index Mountainadm1codeIndex on Mountain (adm1Code);
create index MountaingisFeatureCountryindex on Mountain (countryCode);
alter table Mountain add constraint FK637222053AEF83Dfc797ead foreign key (adm) references Adm;
create index MuseumgisFeatureIdIndex on Museum (featureId);
create index Museumadm1codeIndex on Museum (adm1Code);
create index MuseumgisFeatureCountryindex on Museum (countryCode);
alter table Museum add constraint FK637222053AEF83D8a0bb632 foreign key (adm) references Adm;
create index OasisgisFeatureIdIndex on Oasis (featureId);
create index Oasisadm1codeIndex on Oasis (adm1Code);
create index OasisgisFeatureCountryindex on Oasis (countryCode);
alter table Oasis add constraint FK637222053AEF83D48715ab foreign key (adm) references Adm;
create index ObservatoryPointgisFeatureIdIndex on ObservatoryPoint (featureId);
create index ObservatoryPointadm1codeIndex on ObservatoryPoint (adm1Code);
create index ObservatoryPointgisFeatureCountryindex on ObservatoryPoint (countryCode);
alter table ObservatoryPoint add constraint FK637222053AEF83Dcbf01ab6 foreign key (adm) references Adm;
create index OceangisFeatureIdIndex on Ocean (featureId);
create index Oceanadm1codeIndex on Ocean (adm1Code);
create index OceangisFeatureCountryindex on Ocean (countryCode);
alter table Ocean add constraint FK637222053AEF83D487c8de foreign key (adm) references Adm;
create index streetosmonewayIndex on OpenStreetMap (oneWay);
create index openstreetmapcountryindex on OpenStreetMap (countryCode);
create index streetosmtypeIndex on OpenStreetMap (streetType);
create index streetosmopenstreetmapidindex on OpenStreetMap (openstreetmapId);
create index streetosmgidindex on OpenStreetMap (gid);
create index OperaHousegisFeatureIdIndex on OperaHouse (featureId);
create index OperaHouseadm1codeIndex on OperaHouse (adm1Code);
create index OperaHousegisFeatureCountryindex on OperaHouse (countryCode);
alter table OperaHouse add constraint FK637222053AEF83D74a87b2d foreign key (adm) references Adm;
create index ParkgisFeatureIdIndex on Park (featureId);
create index Parkadm1codeIndex on Park (adm1Code);
create index ParkgisFeatureCountryindex on Park (countryCode);
alter table Park add constraint FK637222053AEF83D25d80a foreign key (adm) references Adm;
create index ParkinggisFeatureIdIndex on Parking (featureId);
create index Parkingadm1codeIndex on Parking (adm1Code);
create index ParkinggisFeatureCountryindex on Parking (countryCode);
alter table Parking add constraint FK637222053AEF83D33f14b98 foreign key (adm) references Adm;
create index PlantationgisFeatureIdIndex on Plantation (featureId);
create index Plantationadm1codeIndex on Plantation (adm1Code);
create index PlantationgisFeatureCountryindex on Plantation (countryCode);
alter table Plantation add constraint FK637222053AEF83Dc691078a foreign key (adm) references Adm;
create index PolicePostgisFeatureIdIndex on PolicePost (featureId);
create index PolicePostadm1codeIndex on PolicePost (adm1Code);
create index PolicePostgisFeatureCountryindex on PolicePost (countryCode);
alter table PolicePost add constraint FK637222053AEF83Dd4b1cefe foreign key (adm) references Adm;
create index PoliticalEntitygisFeatureIdIndex on PoliticalEntity (featureId);
create index PoliticalEntityadm1codeIndex on PoliticalEntity (adm1Code);
create index PoliticalEntitygisFeatureCountryindex on PoliticalEntity (countryCode);
alter table PoliticalEntity add constraint FK637222053AEF83Df48c5520 foreign key (adm) references Adm;
create index PondgisFeatureIdIndex on Pond (featureId);
create index Pondadm1codeIndex on Pond (adm1Code);
create index PondgisFeatureCountryindex on Pond (countryCode);
alter table Pond add constraint FK637222053AEF83D260c15 foreign key (adm) references Adm;
create index PortgisFeatureIdIndex on Port (featureId);
create index Portadm1codeIndex on Port (adm1Code);
create index PortgisFeatureCountryindex on Port (countryCode);
alter table Port add constraint FK637222053AEF83D260ca1 foreign key (adm) references Adm;
create index PostOfficegisFeatureIdIndex on PostOffice (featureId);
create index PostOfficeadm1codeIndex on PostOffice (adm1Code);
create index PostOfficegisFeatureCountryindex on PostOffice (countryCode);
alter table PostOffice add constraint FK637222053AEF83Dcfb5a79c foreign key (adm) references Adm;
create index PrisongisFeatureIdIndex on Prison (featureId);
create index Prisonadm1codeIndex on Prison (adm1Code);
create index PrisongisFeatureCountryindex on Prison (countryCode);
alter table Prison add constraint FK637222053AEF83D8efba1ab foreign key (adm) references Adm;
create index PyramidgisFeatureIdIndex on Pyramid (featureId);
create index Pyramidadm1codeIndex on Pyramid (adm1Code);
create index PyramidgisFeatureCountryindex on Pyramid (countryCode);
alter table Pyramid add constraint FK637222053AEF83D5ce11d30 foreign key (adm) references Adm;
create index QuaygisFeatureIdIndex on Quay (featureId);
create index Quayadm1codeIndex on Quay (adm1Code);
create index QuaygisFeatureCountryindex on Quay (countryCode);
alter table Quay add constraint FK637222053AEF83D26957c foreign key (adm) references Adm;
create index RailgisFeatureIdIndex on Rail (featureId);
create index Railadm1codeIndex on Rail (adm1Code);
create index RailgisFeatureCountryindex on Rail (countryCode);
alter table Rail add constraint FK637222053AEF83D26bfb2 foreign key (adm) references Adm;
create index RailRoadStationgisFeatureIdIndex on RailRoadStation (featureId);
create index RailRoadStationadm1codeIndex on RailRoadStation (adm1Code);
create index RailRoadStationgisFeatureCountryindex on RailRoadStation (countryCode);
alter table RailRoadStation add constraint FK637222053AEF83Dc1225ae2 foreign key (adm) references Adm;
create index RanchgisFeatureIdIndex on Ranch (featureId);
create index Ranchadm1codeIndex on Ranch (adm1Code);
create index RanchgisFeatureCountryindex on Ranch (countryCode);
alter table Ranch add constraint FK637222053AEF83D4b148a4 foreign key (adm) references Adm;
create index RavingisFeatureIdIndex on Ravin (featureId);
create index Ravinadm1codeIndex on Ravin (adm1Code);
create index RavingisFeatureCountryindex on Ravin (countryCode);
alter table Ravin add constraint FK637222053AEF83D4b1676c foreign key (adm) references Adm;
create index ReefgisFeatureIdIndex on Reef (featureId);
create index Reefadm1codeIndex on Reef (adm1Code);
create index ReefgisFeatureCountryindex on Reef (countryCode);
alter table Reef add constraint FK637222053AEF83D26ce34 foreign key (adm) references Adm;
create index ReligiousgisFeatureIdIndex on Religious (featureId);
create index Religiousadm1codeIndex on Religious (adm1Code);
create index ReligiousgisFeatureCountryindex on Religious (countryCode);
alter table Religious add constraint FK637222053AEF83D83ecfa1b foreign key (adm) references Adm;
create index ReservegisFeatureIdIndex on Reserve (featureId);
create index Reserveadm1codeIndex on Reserve (adm1Code);
create index ReservegisFeatureCountryindex on Reserve (countryCode);
alter table Reserve add constraint FK637222053AEF83Da49ca49c foreign key (adm) references Adm;
create index RestaurantgisFeatureIdIndex on Restaurant (featureId);
create index Restaurantadm1codeIndex on Restaurant (adm1Code);
create index RestaurantgisFeatureCountryindex on Restaurant (countryCode);
alter table Restaurant add constraint FK637222053AEF83Dd2c275d foreign key (adm) references Adm;
create index RoadgisFeatureIdIndex on Road (featureId);
create index Roadadm1codeIndex on Road (adm1Code);
create index RoadgisFeatureCountryindex on Road (countryCode);
alter table Road add constraint FK637222053AEF83D26f340 foreign key (adm) references Adm;
create index SchoolgisFeatureIdIndex on School (featureId);
create index Schooladm1codeIndex on School (adm1Code);
create index SchoolgisFeatureCountryindex on School (countryCode);
alter table School add constraint FK637222053AEF83D93464794 foreign key (adm) references Adm;
create index SeagisFeatureIdIndex on Sea (featureId);
create index Seaadm1codeIndex on Sea (adm1Code);
create index SeagisFeatureCountryindex on Sea (countryCode);
alter table Sea add constraint FK637222053AEF83D1442f foreign key (adm) references Adm;
create index SpringgisFeatureIdIndex on Spring (featureId);
create index Springadm1codeIndex on Spring (adm1Code);
create index SpringgisFeatureCountryindex on Spring (countryCode);
alter table Spring add constraint FK637222053AEF83D9401ee2d foreign key (adm) references Adm;
create index StadiumgisFeatureIdIndex on Stadium (featureId);
create index Stadiumadm1codeIndex on Stadium (adm1Code);
create index StadiumgisFeatureCountryindex on Stadium (countryCode);
alter table Stadium add constraint FK637222053AEF83Df21d53dd foreign key (adm) references Adm;
create index StraitgisFeatureIdIndex on Strait (featureId);
create index Straitadm1codeIndex on Strait (adm1Code);
create index StraitgisFeatureCountryindex on Strait (countryCode);
alter table Strait add constraint FK637222053AEF83D943a2d9b foreign key (adm) references Adm;
create index StreamgisFeatureIdIndex on Stream (featureId);
create index Streamadm1codeIndex on Stream (adm1Code);
create index StreamgisFeatureCountryindex on Stream (countryCode);
alter table Stream add constraint FK637222053AEF83D943a3ba0 foreign key (adm) references Adm;
create index StreetgisFeatureIdIndex on Street (featureId);
create index Streetadm1codeIndex on Street (adm1Code);
create index StreetgisFeatureCountryindex on Street (countryCode);
alter table Street add constraint FK637222053AEF83D943a3c23 foreign key (adm) references Adm;
create index TheatergisFeatureIdIndex on Theater (featureId);
create index Theateradm1codeIndex on Theater (adm1Code);
create index TheatergisFeatureCountryindex on Theater (countryCode);
alter table Theater add constraint FK637222053AEF83D12c08ff1 foreign key (adm) references Adm;
create index TowergisFeatureIdIndex on Tower (featureId);
create index Toweradm1codeIndex on Tower (adm1Code);
create index TowergisFeatureCountryindex on Tower (countryCode);
alter table Tower add constraint FK637222053AEF83D4d3f6e9 foreign key (adm) references Adm;
create index TreegisFeatureIdIndex on Tree (featureId);
create index Treeadm1codeIndex on Tree (adm1Code);
create index TreegisFeatureCountryindex on Tree (countryCode);
alter table Tree add constraint FK637222053AEF83D27e7be foreign key (adm) references Adm;
create index TunnelgisFeatureIdIndex on Tunnel (featureId);
create index Tunneladm1codeIndex on Tunnel (adm1Code);
create index TunnelgisFeatureCountryindex on Tunnel (countryCode);
alter table Tunnel add constraint FK637222053AEF83D95fb7c88 foreign key (adm) references Adm;
create index UnderSeagisFeatureIdIndex on UnderSea (featureId);
create index UnderSeaadm1codeIndex on UnderSea (adm1Code);
create index UnderSeagisFeatureCountryindex on UnderSea (countryCode);
alter table UnderSea add constraint FK637222053AEF83De91a5677 foreign key (adm) references Adm;
create index VineyardgisFeatureIdIndex on Vineyard (featureId);
create index Vineyardadm1codeIndex on Vineyard (adm1Code);
create index VineyardgisFeatureCountryindex on Vineyard (countryCode);
alter table Vineyard add constraint FK637222053AEF83D59903604 foreign key (adm) references Adm;
create index VolcanogisFeatureIdIndex on Volcano (featureId);
create index Volcanoadm1codeIndex on Volcano (adm1Code);
create index VolcanogisFeatureCountryindex on Volcano (countryCode);
alter table Volcano add constraint FK637222053AEF83D88e239d2 foreign key (adm) references Adm;
create index WaterBodygisFeatureIdIndex on WaterBody (featureId);
create index WaterBodyadm1codeIndex on WaterBody (adm1Code);
create index WaterBodygisFeatureCountryindex on WaterBody (countryCode);
alter table WaterBody add constraint FK637222053AEF83D6aa62f39 foreign key (adm) references Adm;
create index zipcodefeatureidindex on ZipCode (gisFeature);
create index zipcode_code on ZipCode (code);
create index ZoogisFeatureIdIndex on Zoo (featureId);
create index Zooadm1codeIndex on Zoo (adm1Code);
create index ZoogisFeatureCountryindex on Zoo (countryCode);
alter table Zoo add constraint FK637222053AEF83D15fba foreign key (adm) references Adm;
alter table user_role add constraint FK143BF46ADF9B113E foreign key (role_id) references role;
alter table user_role add constraint FK143BF46A84C5D51E foreign key (user_id) references app_user;
create sequence Alternatename_sequence;
create sequence gisfeature_sequence;
create sequence hibernate_sequence;
create sequence language_id_seq;
create sequence stats_Usage_Sequence;
create sequence street_osm_sequence;
create sequence zipcode_sequence;
